CIMSystem (CMDB Model API)
Keywords: com.collation.platform.model.topology.sys.CIMSystem interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.sys
Interface CIMSystem

All Superinterfaces:
  LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable

All Known Subinterfaces:
  Aix, AixUnitaryComputerSystem, CiscoPixComputerSystem, ComputerSystem, ComputerSystemCluster, CPU, Darwin, DarwinUnitaryComputerSystem, Dos, DosUnitaryComputerSystem, DynamicSystemDomain, FCSwitch, FileSystem, FreeBSD, FreeBSDUnitaryComputerSystem, GenericComputerSystem, GenericFirewall, GenericLoadBalancer, GenericRouter, GenericSwitch, HpUx, HpUxUnitaryComputerSystem, I5OperatingSystem, ipso, IPSOUnitaryComputerSystem, Linux, LinuxUnitaryComputerSystem, LocalFileSystem, LPAR, MacOS, Memory, Netware, NetwareUnitaryComputerSystem, NFSFileSystem, OpenVms, OpenVmsFileSystem, OpenVmsUnitaryComputerSystem, OperatingSystem, RemoteFileSystem, SMBFileSystem, Solaris, SolarisFileSystem, StorageSubSystem, SunFireComputerSystem, SunSPARCUnitaryComputerSystem, SunSPARCVirtualComputerSystem, Sysplex, SystemPComputerSystem, TapeLibrary, TapeMediaChanger, Tru64, UnitaryComputerSystem, Unix, UnixFileSystem, VirtualComputerSystem, VmwareESX, VmwareUnitaryComputerSystem, WindowsComputerSystem, WindowsFileSystem, WindowsOperatingSystem, ZCouplingFacility, ZLinux, ZOS, ZSeriesComputerSystem, ZVM, ZVMGuest

    public interface CIMSystem

extends LogicalElement

Field Summary
`static java.lang.String` | `IBM_COPYRIGHT`

Method Summary

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Field Detail

### IBM_COPYRIGHT

    static final java.lang.String IBM_COPYRIGHT

See Also:
  Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD